import java.awt.Color;
import java.awt.Font;
import java.awt.GraphicsEnvironment;

import javax.swing.ButtonGroup;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;

public class FontDemo extends JFrame {

	private JPanel jContentPane = null;
	private JScrollPane jScrollPaneFonty = null;
	private JList jList = null;
	private JCheckBox jCheckBox = null;
	private JComboBox jComboBox = null;
	private JLabel jLabelVelikost = null;
	private JButton jButton = null;
	private ButtonGroup buttonGroupPozadi = null;
	private ButtonGroup buttonGroupText = null;
	private JRadioButton jRadioButtonCervena = null;
	private JRadioButton jRadioButtonModra = null;
	private JRadioButton jRadioButtonZelena = null;
	private JRadioButton jRadioButtonBila = null;
	private JLabel jLabelPozadi = null;
	private JRadioButton jRadioButtonZluta = null;
	private JRadioButton jRadioButtonRuzova = null;
	private JRadioButton jRadioButtonCerna = null;
	private JLabel jLabelText = null;
	private JScrollPane jScrollPaneEdit = null;
	private JTextPane jTextPane = null;
	/**
	 * This method initializes jScrollPaneFonty	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */
	private JScrollPane getJScrollPaneFonty() {
		if (jScrollPaneFonty == null) {
			jScrollPaneFonty = new JScrollPane();
			jScrollPaneFonty.setBounds(new java.awt.Rectangle(308,6,174,185));
			jScrollPaneFonty.setViewportView(getJList());
		}
		return jScrollPaneFonty;
	}

	/**
	 * This method initializes jList	
	 * 	
	 * @return javax.swing.JList	
	 */
	private JList getJList() {
		if (jList == null) {
			jList = new JList();
			jList.addListSelectionListener(new javax.swing.event.ListSelectionListener() {
				public void valueChanged(javax.swing.event.ListSelectionEvent e) {
					System.out.println("valueChanged()"); // TODO Auto-generated Event stub valueChanged()
					Font font = new Font(jList.getSelectedValue().toString(), jTextPane.getFont().getStyle(), jTextPane.getFont().getSize());
					jTextPane.setFont(font);
				}
			});
			jList.addMouseListener(new java.awt.event.MouseAdapter() {
				public void mouseClicked(java.awt.event.MouseEvent e) {
					System.out.println("mouseClicked()"); // TODO Auto-generated Event stub mouseClicked()
				}
			});
		}		
		return jList;
	}

	/**
	 * This method initializes jCheckBox	
	 * 	
	 * @return javax.swing.JCheckBox	
	 */
	private JCheckBox getJCheckBox() {
		if (jCheckBox == null) {
			jCheckBox = new JCheckBox();
			jCheckBox.setBounds(new java.awt.Rectangle(333,209,130,19));
			jCheckBox.setText("sklonn psmo");
			jCheckBox.addItemListener(new java.awt.event.ItemListener() {
				public void itemStateChanged(java.awt.event.ItemEvent e) {
					System.out.println("itemStateChanged()"); // TODO Auto-generated Event stub itemStateChanged()
					if (jTextPane.getFont().isItalic())
						jTextPane.setFont(jTextPane.getFont().deriveFont(Font.PLAIN));
					else
						jTextPane.setFont(jTextPane.getFont().deriveFont(Font.ITALIC));
				}
			});
		}
		return jCheckBox;
	}

	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */
	private JComboBox getJComboBox() {
		if (jComboBox == null) {
			jComboBox = new JComboBox();
			jComboBox.setBounds(new java.awt.Rectangle(414,240,56,20));
			jComboBox.addItemListener(new java.awt.event.ItemListener() {
				public void itemStateChanged(java.awt.event.ItemEvent e) {
					System.out.println("itemStateChanged()"); // TODO Auto-generated Event stub itemStateChanged()
					float velikost = Float.parseFloat(jComboBox.getSelectedItem().toString());					
					jTextPane.setFont(jTextPane.getFont().deriveFont(velikost));
				}
			});
		}
		return jComboBox;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setBounds(new java.awt.Rectangle(320,273,149,42));
			jButton.setText("Konec");
			jButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()"); // TODO Auto-generated Event stub actionPerformed()
					System.exit(0);
				}
			});
		}
		return jButton;
	}

	/**
	 * This method initializes jRadioButtonCervena	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonCervena() {
		if (jRadioButtonCervena == null) {
			jRadioButtonCervena = new JRadioButton();
			jRadioButtonCervena.setBounds(new java.awt.Rectangle(24,228,86,18));
			jRadioButtonCervena.setText("erven");
			jRadioButtonCervena.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()"); // TODO Auto-generated Event stub actionPerformed()
					jTextPane.setBackground(Color.red);
				}
			});
		}
		return jRadioButtonCervena;
	}

	/**
	 * This method initializes jRadioButtonModra	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonModra() {
		if (jRadioButtonModra == null) {
			jRadioButtonModra = new JRadioButton();
			jRadioButtonModra.setText("modr");
			jRadioButtonModra.setLocation(new java.awt.Point(24,253));
			jRadioButtonModra.setSize(new java.awt.Dimension(72,21));
			jRadioButtonModra.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()"); // TODO Auto-generated Event stub actionPerformed()
					jTextPane.setBackground(Color.blue);
				}
			});
		}
		return jRadioButtonModra;
	}

	/**
	 * This method initializes jRadioButtonZelena	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonZelena() {
		if (jRadioButtonZelena == null) {
			jRadioButtonZelena = new JRadioButton();
			jRadioButtonZelena.setText("zelen");
			jRadioButtonZelena.setLocation(new java.awt.Point(24,278));
			jRadioButtonZelena.setSize(new java.awt.Dimension(75,21));
		}
		return jRadioButtonZelena;
	}

	/**
	 * This method initializes jRadioButtonBila	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonBila() {
		if (jRadioButtonBila == null) {
			jRadioButtonBila = new JRadioButton();
			jRadioButtonBila.setBounds(new java.awt.Rectangle(24,303,73,21));
			jRadioButtonBila.setSelected(true);
			jRadioButtonBila.setText("bl");
		}
		return jRadioButtonBila;
	}

	/**
	 * This method initializes jRadioButtonZluta	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonZluta() {
		if (jRadioButtonZluta == null) {
			jRadioButtonZluta = new JRadioButton();
			jRadioButtonZluta.setText("lut");
			jRadioButtonZluta.setLocation(new java.awt.Point(167,228));
			jRadioButtonZluta.setSize(new java.awt.Dimension(62,21));
			jRadioButtonZluta.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()"); // TODO Auto-generated Event stub actionPerformed()
					jTextPane.setForeground(Color.yellow);
				}
			});
		}
		return jRadioButtonZluta;
	}

	/**
	 * This method initializes jRadioButtonRuzova	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonRuzova() {
		if (jRadioButtonRuzova == null) {
			jRadioButtonRuzova = new JRadioButton();
			jRadioButtonRuzova.setText("rov");
			jRadioButtonRuzova.setLocation(new java.awt.Point(167,253));
			jRadioButtonRuzova.setSize(new java.awt.Dimension(70,21));
			jRadioButtonRuzova.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.out.println("actionPerformed()"); // TODO Auto-generated Event stub actionPerformed()
					jTextPane.setForeground(Color.pink);
				}
			});
		}
		return jRadioButtonRuzova;
	}

	/**
	 * This method initializes jRadioButtonCerna	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getJRadioButtonCerna() {
		if (jRadioButtonCerna == null) {
			jRadioButtonCerna = new JRadioButton();
			jRadioButtonCerna.setText("ern");
			jRadioButtonCerna.setLocation(new java.awt.Point(167,278));
			jRadioButtonCerna.setSelected(true);
			jRadioButtonCerna.setSize(new java.awt.Dimension(65,21));
		}
		return jRadioButtonCerna;
	}

	/**
	 * This method initializes jScrollPaneEdit	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */
	private JScrollPane getJScrollPaneEdit() {
		if (jScrollPaneEdit == null) {
			jScrollPaneEdit = new JScrollPane();
			jScrollPaneEdit.setBounds(new java.awt.Rectangle(7,5,297,186));
			jScrollPaneEdit.setViewportView(getJTextPane());
		}
		return jScrollPaneEdit;
	}

	/**
	 * This method initializes jTextPane	
	 * 	
	 * @return javax.swing.JTextPane	
	 */
	private JTextPane getJTextPane() {
		if (jTextPane == null) {
			jTextPane = new JTextPane();
			jTextPane.setText("Programovn v Jav je tak jednoduch a zbavn");
		}
		return jTextPane;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		FontDemo app = new FontDemo();
		
		app.setVisible(true);
	}

	/**
	 * This is the default constructor
	 */
	public FontDemo() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(492, 367);
		this.setResizable(false);
		this.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
		this.setContentPane(getJContentPane());
		this.setTitle("FontDemo");
		this.setLocationRelativeTo(null);
		
		GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
		jList.setListData(ge.getAvailableFontFamilyNames());
		
		String velikosti[] = {"12", "16", "20", "24", "28"};
		jComboBox.setModel(new DefaultComboBoxModel(velikosti));
		
		buttonGroupPozadi = new ButtonGroup();
		buttonGroupPozadi.add(jRadioButtonBila);
		buttonGroupPozadi.add(jRadioButtonCervena);
		buttonGroupPozadi.add(jRadioButtonModra);
		buttonGroupPozadi.add(jRadioButtonZelena);
		
		buttonGroupText = new ButtonGroup();
		buttonGroupText.add(jRadioButtonCerna);
		buttonGroupText.add(jRadioButtonZluta);
		buttonGroupText.add(jRadioButtonRuzova);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabelText = new JLabel();
			jLabelText.setBounds(new java.awt.Rectangle(167,197,79,20));
			jLabelText.setText("barva textu");
			jLabelPozadi = new JLabel();
			jLabelPozadi.setBounds(new java.awt.Rectangle(23,197,87,21));
			jLabelPozadi.setText("barva pozad");
			jLabelVelikost = new JLabel();
			jLabelVelikost.setBounds(new java.awt.Rectangle(319,239,90,20));
			jLabelVelikost.setText("Velikost psma");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(getJScrollPaneFonty(), null);
			jContentPane.add(getJCheckBox(), null);
			jContentPane.add(getJComboBox(), null);
			jContentPane.add(jLabelVelikost, null);
			jContentPane.add(getJButton(), null);
			jContentPane.add(getJRadioButtonCervena(), null);
			jContentPane.add(getJRadioButtonModra(), null);
			jContentPane.add(getJRadioButtonZelena(), null);
			jContentPane.add(getJRadioButtonBila(), null);
			jContentPane.add(jLabelPozadi, null);
			jContentPane.add(getJRadioButtonZluta(), null);
			jContentPane.add(getJRadioButtonRuzova(), null);
			jContentPane.add(getJRadioButtonCerna(), null);
			jContentPane.add(jLabelText, null);
			jContentPane.add(getJScrollPaneEdit(), null);
		}
		return jContentPane;
	}

}  //  @jve:decl-index=0:visual-constraint="10,7"
